Fehlermeldung Illegal string offset 'auth_mod'

Probleme bei der regulären Arbeiten mit phpBB, Fragen zu Vorgehensweisen oder Funktionsweise sowie sonstige Fragen zu phpBB im Allgemeinen.
Forumsregeln
phpBB 2.0 hat das Ende seiner Lebenszeit überschritten
phpBB 2.0 wird nicht mehr aktiv unterstützt. Insbesondere werden - auch bei Sicherheitslücken - keine Patches mehr bereitgestellt. Der Einsatz von phpBB 2.0 erfolgt daher auf eigene Gefahr. Wir empfehlen einen Umstieg auf phpBB 3.1, welches aktiv weiterentwickelt wird und für welches regelmäßig Updates zur Verfügung gestellt werden.
Siddd
Mitglied
Beiträge: 6
Registriert: 09.05.2008 17:05

Fehlermeldung Illegal string offset 'auth_mod'

Beitragvon Siddd » 21.02.2014 18:30

Hallo zusammen,

seit fast 6 Jahren läuft bei mir ein php Forum Version 2.0.23, völlig ohne Probleme. Jetzt kriege ich von einem Tag auf den anderen eine Fehlermeldung, obwohl seit der Einrichtung vor 6 Jahren nichts am Code verändert wurde.
Die Fehlermeldung erscheint, wenn ich die Befugnisse eines Nutzers verändern möchte bzw. einen Benutzer zum Moderator mache. Die Befugnisänderung wird dann nicht vom System übernommen, sondern ich bekomme folgende Fehlermeldung:

Code: Alles auswählen

Warning: Illegal string offset 'auth_mod' in [...]/phpbb/admin/admin_ug_auth.php on line 293


Das steht insgesamt 8 mal untereinander; und dann folgt:

Code: Alles auswählen

Warning: Cannot modify header information - headers already sent by (output started at [...]/phpbb/admin/admin_ug_auth.php:293) in [...]/phpbb/admin/page_header_admin.php on line 143

Warning: Cannot modify header information - headers already sent by (output started at [...]/phpbb/admin/admin_ug_auth.php:293) in [...]/phpbb/admin/page_header_admin.php on line 145

Warning: Cannot modify header information - headers already sent by (output started at [...]/phpbb/admin/admin_ug_auth.php:293) in [...]/phpbb/admin/page_header_admin.php on line 146


Die in der obersten Warning genannte Line 293 enthält folgenden Inhalt:

Code: Alles auswählen

( isset($auth_access[$forum_id]['auth_mod']) && $change_mod_list[$forum_id]['auth_mod'] != $auth_access[$forum_id]['auth_mod'] ) ||


Meine Google-Recherche brachte mich auf folgenden Lösungsansatz: http://ideecon.com/loesung-cannot-modif ... dpress/608
Leider half es nicht weiter. Am Anfang/Ende der entsprechenden php-Datei befinden sich keine Leerzeichen oder Leerzeilen und es ist auch das Format ANSI eingestellt.

Ich habe so gut wie keinerlei Programmierkenntnisse und verstehe wenig von der Materie. Könnt Ihr mir sagen, was da momentan schief läuft bzw. warum der Fehler so unvermittelt auftaucht?

Welche Mods ich (damals vor 6 Jahren) eingebaut habe, weiß ich ehrlich gesagt schon gar nicht mehr. Es war auf jeden Fall auch etwas für eine komfortablere Benutzeradministration dabei (, was ebenfalls seit 6 Jahren super funktionierte).

Vielen Dank und viele Grüße!
- Siddd
Zuletzt geändert von Siddd am 21.02.2014 19:33, insgesamt 4-mal geändert.

Benutzeravatar
Crizzo
Administrator
Administrator
Beiträge: 9359
Registriert: 19.05.2005 21:45
Kontaktdaten:

Re: Fehlermeldung Illegal string offset 'auth_mod'

Beitragvon Crizzo » 21.02.2014 18:50

Hi,

was spricht denn gegen ein Update?

Hat sich vielleicht die PHP/MySQL-Version auf deinem Server die letzten Tage geändert?

Grüße
phpBB Translations & International Support Teams Manager

Siddd
Mitglied
Beiträge: 6
Registriert: 09.05.2008 17:05

Re: Fehlermeldung Illegal string offset 'auth_mod'

Beitragvon Siddd » 21.02.2014 19:15

Hallo BlackHawk87,

vielen Dank für die Blitzantwort!

der Webspace, auf dem das Forum installiert ist, liegt bei Domainfactory. Deren Homepage sowie in deren Blog entnehme ich bisher nichts von einer geänderten PHP/MySQL-Version. (Würde das dort überhaupt stehen? Kann ich das irgendwo anders nachschauen?)

Gegen ein Update sprach (bisher) einerseits dass alles so lief, dass es funktionierte, und andererseits dass ich null Ahnung habe, wie man das macht ;-) und ich auch nicht weiß, ob dann alle bisherigen Mods und Einstellungen direkt im geupdateten Board vorhanden wären. Ich habe mich das letzte Mal vor 6 Jahren intensiver mit phpbb beschäftigt (als völliger Laie) und war froh, dass es funktionierte. Danach dachte ich mir "never touch a running system" und vermied jeglichen Kontakt mit den phpbb-Innereien... Habe Angst, dass ich dann wieder Tage und Wochen investieren müsste (und der Fehler dann vielleicht nach wie vor vorhanden wäre...).

Vielen Dank und viele Grüße,
- Siddd

Benutzeravatar
Crizzo
Administrator
Administrator
Beiträge: 9359
Registriert: 19.05.2005 21:45
Kontaktdaten:

Re: Fehlermeldung Illegal string offset 'auth_mod'

Beitragvon Crizzo » 22.02.2014 13:39

Hi,

frag einfach den Support. Die werden dir schon sagen können, wann zuletzt die MySQL und PHP-Version geändert wurde.

Grüße
Zuletzt geändert von Crizzo am 22.02.2014 13:52, insgesamt 1-mal geändert.
Grund: gloriosas Link nehmen!
phpBB Translations & International Support Teams Manager

Benutzeravatar
gloriosa
Mitglied
Beiträge: 13770
Registriert: 04.01.2005 20:23
Wohnort: Landeshauptstadt Erfurt

Re: Fehlermeldung Illegal string offset 'auth_mod'

Beitragvon gloriosa » 22.02.2014 13:51

Hallo,
das
Siddd hat geschrieben:seit fast 6 Jahren läuft bei mir ein php Forum Version 2.0.23,

bedeutet, das gemäß der >>> Schritt-für-Schritt Konvertierungsanleitung von phpBB2 auf phpBB3 <<< vorzugehen ist ! :D
Viele Grüße - gloriosa :D
Die einen schützen sich vor frischem Wind, während die anderen ihn nutzen.
Kein kostenloser MOD-Einbau usw. bzw. Support via PN, Email oder IRC !

Siddd
Mitglied
Beiträge: 6
Registriert: 09.05.2008 17:05

Re: Fehlermeldung Illegal string offset 'auth_mod'

Beitragvon Siddd » 22.02.2014 16:55

Hallo gloriosa und Blackhawk,

vielen Dank für die Antworten. Habe nun beim Support nachgefragt: Es gab in letzter Zeit keine Veränderung der Version... Habt Ihr noch einen Tipp, wo der Fehler liegen könnte? Wie hoch ist voraussichtlich die Wahrscheinlichkeit, dass ein Update auf phpbb 3 den Fehler (nicht) löst?

Danke und viele Grüße,
- Siddd

Benutzeravatar
Miriam
Valued Contributor
Beiträge: 12309
Registriert: 13.10.2004 07:18
Wohnort: Ammerland
Kontaktdaten:

Re: Fehlermeldung Illegal string offset 'auth_mod'

Beitragvon Miriam » 22.02.2014 18:11

Irgendetwas scheint an Deinem Code zu fehlen, denn in der originalen Datei ist die Codestelle weiter "hinten".
Gruss, Miriam.
Ich schmeiß' alles hin und...
... lasse es liegen

Siddd
Mitglied
Beiträge: 6
Registriert: 09.05.2008 17:05

Re: Fehlermeldung Illegal string offset 'auth_mod'

Beitragvon Siddd » 22.02.2014 19:51

Hallo zusammen,

vielen Dank für die Unterstützung. Inzwischen ist das Problem gelöst: Es hing doch mit der PHP-Version zusammen! :grin:
Ihr habt mich jetzt aber neugierig auf phpBB Version 3 gemacht. Ist es möglich, dass man das Update macht und dabei alle in Version 2 getätigten Anpassungen automatisch übernommen werden? (Oder muss man es komplett neu einrichten und anpassen?)

Viele Grüße und noch einmal herzlichen Dank,
Siddd

Benutzeravatar
Crizzo
Administrator
Administrator
Beiträge: 9359
Registriert: 19.05.2005 21:45
Kontaktdaten:

Re: Fehlermeldung Illegal string offset 'auth_mod'

Beitragvon Crizzo » 22.02.2014 20:07

Nein, Mods und ähnliches werden nicht mitgenommen. Die musst du dann selbst nochmal einpflegen bzw. mit alternativen Modifikationen ersetzen.
phpBB Translations & International Support Teams Manager

Siddd
Mitglied
Beiträge: 6
Registriert: 09.05.2008 17:05

Re: Fehlermeldung Illegal string offset 'auth_mod'

Beitragvon Siddd » 23.02.2014 01:18

Alles klar, vielen Dank für die Infos!

Gruß,
Siddd


Zurück zu „phpBB 2.0: Administration, Benutzung und Betrieb“